<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:RprtPyType.02.11="http://sbr.gov.au/dims/RprtPyType.02.11.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="IITR201405Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="yes"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="full-event">false</xsl:param><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-sequence-number">1</xsl:param>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="IITR_RP_facts" match="xbrli:xbrl/*[@contextRef=$IITR.RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'IITR_RP')"/><xsl:key name="IITR_INT_facts" match="xbrli:xbrl/*[@contextRef=$IITR.INT.ContextId and not(@i:nil='true')]" use="concat(local-name(),'IITR_INT')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M26"/><xsl:apply-templates select="/" mode="M27"/><xsl:apply-templates select="/" mode="M28"/><xsl:apply-templates select="/" mode="M29"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:choose><xsl:when test="$full-event='true'"><sbdm:MessageEvent><sbdm:Message.Event.MaximumSeverity.Code><xsl:choose><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></sbdm:Message.Event.MaximumSeverity.Code><sbdm:MessageEventItems><xsl:copy-of select="$results"/></sbdm:MessageEventItems></sbdm:MessageEvent></xsl:when><xsl:otherwise><sbdm:MessageEventItems><xsl:copy-of select="$results"/></sbdm:MessageEventItems></xsl:otherwise></xsl:choose></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable across all of the IITR services.-->
<xsl:variable name="IITR.Context" select="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iitr/iitr_0001/iitr.0001.prefill.request.02.00.report.xsd']]"/><xsl:variable name="IITR.RP.Context" select="$IITR.Context/xbrli:context                                     [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 1                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                         [                                                            matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                             ]                                            ]                                           and                                           count(xbrli:period/xbrli:startDate) = 1                                     ]"/><xsl:variable name="IITR.RP.ContextId" select="$IITR.RP.Context/@id"/><xsl:variable name="IITR.INT.Context" select="$IITR.Context/xbrli:context                                     [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 1                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                         [                                                            matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                             ]                                            ]                                           and                                           count(xbrli:period/xbrli:startDate) = 1                                     ]"/><xsl:variable name="IITR.INT.ContextId" select="$IITR.INT.Context/@id"/><xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/><xsl:variable name="iitr10" select="key('IITR_RP_facts', 'Report.TargetFinancial.YearIITR_RP')"/><xsl:variable name="iitr542" select="key('IITR_INT_facts', 'Identifiers.TaxAgentNumber.IdentifierIITR_INT')"/><xsl:template match="text()" priority="-1" mode="M26"/><xsl:template match="@*|node()" priority="-2" mode="M26"><xsl:apply-templates select="*" mode="M26"/></xsl:template>

<!--
                PATTERN ContextPreFill Context Tests-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M27">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               count($IITR.RP.Context) != 1       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.000209</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   count($IITR.INT.Context) != 1                   )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500036</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M27"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1001" mode="M27">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $IITR.RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500075</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $IITR.INT.ContextId                             and                             xbrli:entity/xbrli:identifier                             [                                                             not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                             ]                    )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.438039</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                @id = $IITR.RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateTFN(.))                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500009</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          @id = $IITR.INT.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateABN(.))                         ]                    )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.430318</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/><xsl:variable name="endDate" select="xbrli:period/xbrli:endDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500033</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem><sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500033</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                     preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                 )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500030</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:variable name="iitr10_startDate" select="concat(sum($iitr10 ,-1),'-07-01')"/><xsl:variable name="iitr10_endDate" select="concat($iitr10 ,'-06-30')"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                  $startDate != $iitr10_startDate                           and                           $endDate != $iitr10_endDate                                                                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.IITR.620002</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M27"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]/xbrli:period[not(@i:nil='true')]/xbrli:startDate" priority="1000" mode="M27">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500035</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $iitr10[not(@i:nil='true')]                         and                                                 function:IsDate1GreaterThanDate2                         (                           concat($iitr10 - 1, '-01-01'),                            .                         )                                                                                  )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.IITR.000033</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M27"/></xsl:template><xsl:template match="text()" priority="-1" mode="M27"/><xsl:template match="@*|node()" priority="-2" mode="M27"><xsl:apply-templates select="*" mode="M27"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M28">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($iitr10[not(@i:nil='true')])                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.IITR.620000</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not( $iitr542[not(@i:nil='true') and string-length(.) != 0] )             )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500038</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M28"/></xsl:template><xsl:template match="text()" priority="-1" mode="M28"/><xsl:template match="@*|node()" priority="-2" mode="M28"><xsl:apply-templates select="*" mode="M28"/></xsl:template>

<!--
                PATTERN ContentPreFill Context Tests-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $iitr10 != '2014'                            )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.IITR.620001</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(function:ValidateTAN(.))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428247</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template><xsl:template match="text()" priority="-1" mode="M29"/><xsl:template match="@*|node()" priority="-2" mode="M29"><xsl:apply-templates select="*" mode="M29"/></xsl:template></xsl:stylesheet>