<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:dtyp.02.24="http://sbr.gov.au/fdtn/sbr.02.24.dtyp" xmlns:rvctc2.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.14.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:lrla.02.00="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data" xmlns:rvctc1.02.16="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.16.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:lrla.02.17="http://sbr.gov.au/icls/lr/lrla/lrla.02.17.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:SqNumDim.02.01="http://sbr.gov.au/dims/SqNumDim.02.01.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="PSS201405Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RPPSSSEQ_facts" match="xbrli:xbrl/*[@contextRef=$RPPSSSEQ.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPPSSSEQ')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M34"/><xsl:apply-templates select="/" mode="M35"/><xsl:apply-templates select="/" mode="M36"/><xsl:apply-templates select="/" mode="M37"/><xsl:apply-templates select="/" mode="M38"/><xsl:apply-templates select="/" mode="M39"/><xsl:apply-templates select="/" mode="M40"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable across all of the PSS services.-->
<xsl:variable name="RPPSSSEQ.Context" select="//xbrli:xbrl/xbrli:context[                                            ./xbrli:entity/                                           xbrli:segment[                                                           count(./xbrldi:explicitMember) = 2 and                                                           count(./xbrldi:typedMember) = 1 and                                                           xbrldi:explicitMember                                                           [                                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                               and                                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                   ]                                                           and                                                           xbrldi:explicitMember                                                           [                                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:SecondaryPartyTypeDimension$')                                                               and                                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:Payer$')                                                                   ]                                                           and                                                           xbrldi:typedMember                                                           [                                                               matches(@dimension,'^SqNumDim\.\d{2}\.\d{2}:SequenceNumberDimension$')                                                                                    ]                                                        ]                                         ]"/><xsl:variable name="RPPSSSEQ.ContextId" select="$RPPSSSEQ.Context/@id"/><xsl:variable name="pss17" select="key('RPPSSSEQ_facts', 'Identifiers.WithholdingPayerNumber.IdentifierRPPSSSEQ')"/><xsl:variable name="pss18" select="key('RPPSSSEQ_facts', 'Remuneration.PaymentToForeignResidentGross.AmountRPPSSSEQ')"/><xsl:variable name="pss19" select="key('RPPSSSEQ_facts', 'Remuneration.ABNNotQuotedPaymentGross.AmountRPPSSSEQ')"/><xsl:variable name="pss20" select="key('RPPSSSEQ_facts', 'Remuneration.VoluntaryAgreementGross.AmountRPPSSSEQ')"/><xsl:variable name="pss21" select="key('RPPSSSEQ_facts', 'Remuneration.LabourHireArrangementPaymentGross.AmountRPPSSSEQ')"/><xsl:variable name="pss22" select="key('RPPSSSEQ_facts', 'IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.AmountRPPSSSEQ')"/><xsl:variable name="pss23" select="key('RPPSSSEQ_facts', 'IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.AmountRPPSSSEQ')"/><xsl:variable name="pss24" select="key('RPPSSSEQ_facts', 'IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.AmountRPPSSSEQ')"/><xsl:variable name="pss25" select="key('RPPSSSEQ_facts', 'IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.AmountRPPSSSEQ')"/><xsl:variable name="pss26" select="key('RPPSSSEQ_facts', 'OrganisationNameDetails.OrganisationalName.TextRPPSSSEQ')"/><xsl:variable name="pss27" select="key('RPPSSSEQ_facts', 'PersonNameDetails.GivenName.TextRPPSSSEQ')"/><xsl:variable name="pss28" select="key('RPPSSSEQ_facts', 'PersonNameDetails.OtherGivenName.TextRPPSSSEQ')"/><xsl:variable name="pss29" select="key('RPPSSSEQ_facts', 'PersonNameDetails.FamilyName.TextRPPSSSEQ')"/><xsl:variable name="pss31" select="key('RPPSSSEQ_facts', 'Remuneration.PersonalServicesIncome.AttributedGross.AmountRPPSSSEQ')"/><xsl:variable name="pss32" select="key('RPPSSSEQ_facts', 'IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.AmountRPPSSSEQ')"/><xsl:template match="text()" priority="-1" mode="M34"/><xsl:template match="@*|node()" priority="-2" mode="M34"><xsl:apply-templates select="*" mode="M34"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the PSS services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                count($RPPSSSEQ.Context) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000042</isns:Code><isns:Description>No Reporting Party Payer attached</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><isns:LongDescription>At least one beneficiary's Reporting Party Payer must be attached.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                count($RPPSSSEQ.Context) &gt; 99                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000043</isns:Code><isns:Description>Invalid context. The number of Reporting Party Payer contexts must not exceed 99.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPPSSSEQ.ContextId]" priority="1000" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000016</isns:Code><isns:Description>Entity identifier scheme for Reporting Party Payer must be "http://www.ato.gov.au/tfn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="thisSequenceNumberContainer" select="xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:entity/xbrli:segment/xbrldi:typedMember/                             SqNumDim.02.01:SequenceNumberContainer[. = $thisSequenceNumberContainer]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000020</isns:Code><isns:Description>Sequence Container must not be duplicated</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer</xsl:text></Location><isns:LongDescription>The Sequence Container within the Payer Sequence Dimension context instance must not be duplicated</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template><xsl:template match="text()" priority="-1" mode="M35"/><xsl:template match="@*|node()" priority="-2" mode="M35"><xsl:apply-templates select="*" mode="M35"/></xsl:template>

<!--
                PATTERN FieldPatternsField Length Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPPSSSEQ.ContextId]" priority="1000" mode="M36"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss26                         [                             string-length(.) &gt; 38                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000001</isns:Code><isns:Description>Payment Summary - Payer trading name must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><isns:LongDescription>For Payment Summary - Payer trading name, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss29                         [                             string-length(.) &gt; 38                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000002</isns:Code><isns:Description>Payer's name - Family name must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>For Payer's name - Family name, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss27                         [                             string-length(.) &gt; 38                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000003</isns:Code><isns:Description>Payer's name - Given name must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><isns:LongDescription>For Payer's name - Given name, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss28                         [                             string-length(.) &gt; 38                             and                             @contextRef = $thisContextId                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000004</isns:Code><isns:Description>Payer's name - Other given names must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><isns:LongDescription>For Payer's name - Other given names, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss18[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000005</isns:Code><isns:Description>Gross payment for foreign resident withholding is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</xsl:text></Location><isns:LongDescription>Gross payment for foreign resident withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss19[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000006</isns:Code><isns:Description>Gross payment for withholding where ABN not quoted is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</xsl:text></Location><isns:LongDescription>Gross payment for withholding where ABN not quoted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss20[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000007</isns:Code><isns:Description>Gross payment for Voluntary agreement withholding is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount</xsl:text></Location><isns:LongDescription>Gross payment for Voluntary agreement withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss21[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000008</isns:Code><isns:Description>Gross payment for Labour hire or other specified payments withholding is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount</xsl:text></Location><isns:LongDescription>Gross payment for Labour hire or other specified payments withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss22[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000009</isns:Code><isns:Description>Tax withheld for foreign resident withholding is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</xsl:text></Location><isns:LongDescription>Tax withheld for foreign resident withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss23[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000010</isns:Code><isns:Description>Tax withheld for withholding where ABN not quoted is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount</xsl:text></Location><isns:LongDescription>Tax withheld for withholding where ABN not quoted must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss24[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000011</isns:Code><isns:Description>Tax withheld for Voluntary agreement withholding is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount</xsl:text></Location><isns:LongDescription>Tax withheld for Voluntary agreement withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss25[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000012</isns:Code><isns:Description>Tax withheld for labour hire or other specified payments withholding is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount</xsl:text></Location><isns:LongDescription>Tax withheld for labour hire or other specified payments withholding must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss31[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000014</isns:Code><isns:Description>Gross payment for Attributed Personal Services Income is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount</xsl:text></Location><isns:LongDescription>Gross payment for Attributed Personal Services Income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $pss32[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000015</isns:Code><isns:Description>Tax withheld for Attributed Personal Services Income is not in a valid monetary format</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount</xsl:text></Location><isns:LongDescription>Tax withheld for Attributed Personal Services Income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template><xsl:template match="text()" priority="-1" mode="M36"/><xsl:template match="@*|node()" priority="-2" mode="M36"><xsl:apply-templates select="*" mode="M36"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M37"><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPPSSSEQ.ContextId]" priority="1000" mode="M37"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $pss26                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#]')                             and                              @contextRef = $thisContextId                                                     ]                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000017</isns:Code><isns:Description>Payment Summary - Payer trading name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $pss29                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#]')                             and                              @contextRef = $thisContextId                                                     ]                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000018</isns:Code><isns:Description>Payer's name - Family name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $pss27                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#]')                             and                              @contextRef = $thisContextId                                                     ]                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000019</isns:Code><isns:Description>Payer's name - Given name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $pss28                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#]')                             and                              @contextRef = $thisContextId                                                     ]                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000022</isns:Code><isns:Description>Payer's name - Other given names contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template><xsl:template match="text()" priority="-1" mode="M37"/><xsl:template match="@*|node()" priority="-2" mode="M37"><xsl:apply-templates select="*" mode="M37"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->
<xsl:template match="text()" priority="-1" mode="M38"/><xsl:template match="@*|node()" priority="-2" mode="M38"><xsl:apply-templates select="*" mode="M38"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[@id = $RPPSSSEQ.ContextId]" priority="1001" mode="M39"><xsl:variable name="thisContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           (                             sum($pss22[@contextRef = $thisContextId]) &gt; 0                              and                              sum($pss22[@contextRef = $thisContextId]) &gt; sum($pss18[@contextRef = $thisContextId]) * 0.5 +1                           )                           or                           (                             sum($pss23[@contextRef = $thisContextId]) &gt; 0                              and                              sum($pss23[@contextRef = $thisContextId]) &gt; sum($pss19[@contextRef = $thisContextId]) * 0.5 +1                           )                           or                           (                             sum($pss24[@contextRef = $thisContextId]) &gt; 0                              and                              sum($pss24[@contextRef = $thisContextId]) &gt; sum($pss20[@contextRef = $thisContextId]) * 0.5 +1                           )                           or                           (                             sum($pss25[@contextRef = $thisContextId]) &gt; 0                              and                              sum($pss25[@contextRef = $thisContextId]) &gt; sum($pss21[@contextRef = $thisContextId]) * 0.5 +1                           )                           or                           (                             sum($pss32[@contextRef = $thisContextId]) &gt; 0                              and                              sum($pss32[@contextRef = $thisContextId]) &gt; sum($pss31[@contextRef = $thisContextId]) * 0.5 +1                           )                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000013</isns:Code><isns:Description>Tax Amount withheld is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</xsl:text></Location><isns:LongDescription>There is an occurrence of the Tax Amount withheld on the Payment Summary schedule for either foreign resident withholding, withholding where ABN not quoted, Voluntary agreement withholding, labour hire or other specified payments withholding or Attributed Personal Services Income payment being above 50% of the corresponding Gross Payment</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           (                               $pss22[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss23[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss24[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss25[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss32[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                           or                           (                               $pss23[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss22[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss24[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss25[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss32[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                            or                           (                               $pss24[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss22[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss23[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss25[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss32[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                           or                           (                               $pss25[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss22[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss23[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss24[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss32[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                           or                           (                               $pss32[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss22[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss23[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss24[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss25[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000023</isns:Code><isns:Description>Tax withheld type is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount</xsl:text></Location><isns:LongDescription>Only one type of Tax withheld allowed in a single RP Payer context sequence number</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           (                               $pss18[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss19[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss20[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss21[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss31[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                           or                           (                               $pss19[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss18[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss20[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss21[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss31[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                            or                           (                               $pss20[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss18[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss19[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss21[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss31[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                           or                           (                               $pss21[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss18[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss19[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss20[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss31[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                           or                           (                               $pss31[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                (                                   $pss18[not(@i:nil='true') and @contextRef = $thisContextId]                                   or                                    $pss19[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss20[not(@i:nil='true') and @contextRef = $thisContextId]                                    or                                    $pss21[not(@i:nil='true') and @contextRef = $thisContextId]                               )                           )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000024</isns:Code><isns:Description>Gross payment type is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</xsl:text></Location><isns:LongDescription>Only one type of gross payment type is allowed in a single RP Payer context sequence number</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           (                               $pss18[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                not($pss22[not(@i:nil='true') and @contextRef = $thisContextId])                           )                           or                           (                               $pss19[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                not($pss23[not(@i:nil='true') and @contextRef = $thisContextId])                           )                            or                           (                               $pss20[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                not($pss24[not(@i:nil='true') and @contextRef = $thisContextId])                           )                           or                           (                               $pss21[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                not($pss25[not(@i:nil='true') and @contextRef = $thisContextId])                           )                           or                           (                               $pss31[not(@i:nil='true') and @contextRef = $thisContextId]                                                              and                                not($pss32[not(@i:nil='true') and @contextRef = $thisContextId])                           )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000025</isns:Code><isns:Description>The Tax withheld or Gross payment type is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</xsl:text></Location><isns:LongDescription>The Tax withholding and Gross payment must be of the same type</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $pss17                           [                               not(@i:nil='true')                                and                                string-length(.) != 0                               and                                @contextRef = $thisContextId                               and                               not(function:ValidateTFN(.))                           ]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.PSS.000026</isns:Code><isns:Description>Withholding payer number is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier</xsl:text></Location><isns:LongDescription>Withholding payer number must be valid</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             not(function:ValidateABN(.))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000477</isns:Code><isns:Description>ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template><xsl:template match="text()" priority="-1" mode="M39"/><xsl:template match="@*|node()" priority="-2" mode="M39"><xsl:apply-templates select="*" mode="M39"/></xsl:template>

<!--
                PATTERN WarningsValidations for warnings that are applicable accross all PSS services.-->
<xsl:template match="text()" priority="-1" mode="M40"/><xsl:template match="@*|node()" priority="-2" mode="M40"><xsl:apply-templates select="*" mode="M40"/></xsl:template></xsl:stylesheet>