<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="RS201405Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="yes"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="full-event">false</xsl:param><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-sequence-number">1</xsl:param>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RP_facts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RP')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M10"/><xsl:apply-templates select="/" mode="M11"/><xsl:apply-templates select="/" mode="M12"/><xsl:apply-templates select="/" mode="M13"/><xsl:apply-templates select="/" mode="M14"/><xsl:apply-templates select="/" mode="M15"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:choose><xsl:when test="$full-event='true'"><sbdm:MessageEvent><sbdm:Message.Event.MaximumSeverity.Code><xsl:choose><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></sbdm:Message.Event.MaximumSeverity.Code><sbdm:MessageEventItems><xsl:copy-of select="$results"/></sbdm:MessageEventItems></sbdm:MessageEvent></xsl:when><xsl:otherwise><sbdm:MessageEventItems><xsl:copy-of select="$results"/></sbdm:MessageEventItems></xsl:otherwise></xsl:choose></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross the RS service.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                           and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                           xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                               matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                           ]                                     ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/><xsl:variable name="rs12" select="key('RP_facts', 'Party.Type.CodeRP')"/><xsl:variable name="rs14" select="key('RP_facts', 'OrganisationNameDetails.OrganisationalName.TextRP')"/><xsl:variable name="rs17" select="key('RP_facts', 'AddressDetails.Line1.TextRP')"/><xsl:variable name="rs18" select="key('RP_facts', 'AddressDetails.Line2.TextRP')"/><xsl:variable name="rs19" select="key('RP_facts', 'AddressDetails.LocalityName.TextRP')"/><xsl:variable name="rs20" select="key('RP_facts', 'AddressDetails.Postcode.TextRP')"/><xsl:variable name="rs21" select="key('RP_facts', 'AddressDetails.StateOrTerritory.CodeRP')"/><xsl:variable name="rs24" select="key('RP_facts', 'RealEstateProperty.RentalIncomeFirstEarned.DateRP')"/><xsl:variable name="rs25" select="key('RP_facts', 'RealEstateProperty.RentalWeeks.CountRP')"/><xsl:variable name="rs27" select="key('RP_facts', 'RealEstateProperty.RentalWeeksAvailable.CountRP')"/><xsl:variable name="rs28" select="key('RP_facts', 'RealEstateProperty.Ownership.PercentRP')"/><xsl:variable name="rs29" select="key('RP_facts', 'RealEstateProperty.Acquisition.DateRP')"/><xsl:variable name="rs30" select="key('RP_facts', 'Assets.Investment.RealEstatePropertyPurchase.AmountRP')"/><xsl:variable name="rs31" select="key('RP_facts', 'RealEstateProperty.Disposal.DateRP')"/><xsl:variable name="rs32" select="key('RP_facts', 'Assets.Investment.RealEstatePropertySale.AmountRP')"/><xsl:variable name="rs33" select="key('RP_facts', 'Income.RealEstateProperty.CapitalGainsNet.AmountRP')"/><xsl:variable name="rs34" select="key('RP_facts', 'Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.AmountRP')"/><xsl:variable name="rs35" select="key('RP_facts', 'Expense.RealEstateProperty.CapitalWorksDeductionRecouped.AmountRP')"/><xsl:variable name="rs36" select="key('RP_facts', 'RealEstateProperty.LoanRenegotiated.IndicatorRP')"/><xsl:variable name="rs38" select="key('RP_facts', 'Income.RealEstateProperty.Rental.AmountRP')"/><xsl:variable name="rs39" select="key('RP_facts', 'Income.RealEstateProperty.RentalRelatedOther.AmountRP')"/><xsl:variable name="rs40" select="key('RP_facts', 'Expense.RealEstateProperty.Marketing.AmountRP')"/><xsl:variable name="rs41" select="key('RP_facts', 'Expense.RealEstateProperty.BodyCorporate.AmountRP')"/><xsl:variable name="rs42" select="key('RP_facts', 'Expense.RealEstateProperty.Borrowing.AmountRP')"/><xsl:variable name="rs43" select="key('RP_facts', 'Expense.RealEstateProperty.Cleaning.AmountRP')"/><xsl:variable name="rs44" select="key('RP_facts', 'Expense.RealEstateProperty.CouncilRates.AmountRP')"/><xsl:variable name="rs45" select="key('RP_facts', 'Expense.DepreciationandAmortisation.AmountRP')"/><xsl:variable name="rs46" select="key('RP_facts', 'Expense.RealEstateProperty.Gardening.AmountRP')"/><xsl:variable name="rs47" select="key('RP_facts', 'Expense.RealEstateProperty.Insurance.AmountRP')"/><xsl:variable name="rs48" select="key('RP_facts', 'Expense.RealEstateProperty.LoanInterest.AmountRP')"/><xsl:variable name="rs49" select="key('RP_facts', 'Expense.LandTax.AmountRP')"/><xsl:variable name="rs50" select="key('RP_facts', 'Expense.RealEstateProperty.LegalFees.AmountRP')"/><xsl:variable name="rs51" select="key('RP_facts', 'Expense.RealEstateProperty.PestControl.AmountRP')"/><xsl:variable name="rs52" select="key('RP_facts', 'Expense.RealEstateProperty.AgentFeesCommission.AmountRP')"/><xsl:variable name="rs53" select="key('RP_facts', 'Expense.RealEstateProperty.RepairsAndMaintenance.AmountRP')"/><xsl:variable name="rs54" select="key('RP_facts', 'Expense.RealEstateProperty.CapitalWorksDeduction.AmountRP')"/><xsl:variable name="rs55" select="key('RP_facts', 'Expense.RealEstateProperty.OfficeSupplies.AmountRP')"/><xsl:variable name="rs56" select="key('RP_facts', 'Expense.Travel.AmountRP')"/><xsl:variable name="rs57" select="key('RP_facts', 'Expense.RealEstateProperty.Water.AmountRP')"/><xsl:variable name="rs58" select="key('RP_facts', 'Expense.RealEstateProperty.Sundry.AmountRP')"/><xsl:variable name="rs59" select="key('RP_facts', 'Income.RealEstateProperty.RentalNet.AmountRP')"/><xsl:template match="text()" priority="-1" mode="M10"/><xsl:template match="@*|node()" priority="-2" mode="M10"><xsl:apply-templates select="*" mode="M10"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the RS services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M11">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.000209</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500075</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M11"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1000" mode="M11">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                @id = $RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateTFN(.))                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500009</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M11"/></xsl:template><xsl:template match="text()" priority="-1" mode="M11"/><xsl:template match="@*|node()" priority="-2" mode="M11"><xsl:apply-templates select="*" mode="M11"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1004" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500026</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1003" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500027</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1002" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                       ) "/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500028</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i')                       ) "/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428230</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)[0-9](.*)$')                    ) "/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428257</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428041</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M12">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428036</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M12"/></xsl:template><xsl:template match="text()" priority="-1" mode="M12"/><xsl:template match="@*|node()" priority="-2" mode="M12"><xsl:apply-templates select="*" mode="M12"/></xsl:template>

<!--
                PATTERN FieldLengthsField Lengths Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1003" mode="M13">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs38[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000020</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs39[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000021</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs40[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000022</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs41[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000023</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs42[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000024</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs43[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000025</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs44[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000026</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs45[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000027</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs46[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000028</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs47[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000029</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs48[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000030</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs49[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000031</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs50[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000032</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs51[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000033</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs52[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000034</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs53[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000035</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs54[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000036</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs55[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000037</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs56[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000038</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs57[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000039</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs58[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000040</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs59[not(matches(.,'^(-)?[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000041</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs25                         [                           string-length(.) &gt; 2                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000042</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs35[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000129</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M13"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1002" mode="M13">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 38                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500018</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M13"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M13">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 38                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500019</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M13"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M13">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 27                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500020</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M13"/></xsl:template><xsl:template match="text()" priority="-1" mode="M13"/><xsl:template match="@*|node()" priority="-2" mode="M13"><xsl:apply-templates select="*" mode="M13"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M14">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs12[not(@i:nil='true')])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000004</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs38[not(@i:nil='true')])                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000013</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs59[not(@i:nil='true')])                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000014</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs17[not(@i:nil='true') and string-length(.) != 0])                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000015</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($rs19[not(@i:nil='true') and string-length(.) != 0])                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000016</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not($rs20[not(@i:nil='true') and string-length(.) != 0])                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000017</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not($rs21[not(@i:nil='true')])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000018</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not($rs24[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000019</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        not($rs25[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000043</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M14"/></xsl:template><xsl:template match="text()" priority="-1" mode="M14"/><xsl:template match="@*|node()" priority="-2" mode="M14"><xsl:apply-templates select="*" mode="M14"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs12                         [                           . != 117                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000003</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:variable name="endDate" select="xbrli:context[@id = $RP.ContextId]/xbrli:period/xbrli:endDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs24                         [                           function:IsDate1GreaterThanDate2(.,$endDate[1])                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000009</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $rs12 = '117' and                         (                             $rs27[not(@i:nil='true')]                             or                             $rs28[not(@i:nil='true')]                             or                             $rs29[not(@i:nil='true')]                             or                             $rs30[not(@i:nil='true')]                             or                             $rs31[not(@i:nil='true')]                             or                             $rs32[not(@i:nil='true')]                             or                             $rs33[not(@i:nil='true')]                             or                             $rs34[not(@i:nil='true')]                             or                             $rs35[not(@i:nil='true')]                             or                             $rs36[not(@i:nil='true')]                             or                             $rs14[not(@i:nil='true') and string-length(.) != 0]                         )                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000011</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:variable name="totalSum" select="sum($rs38|$rs39) -                                  sum($rs40|$rs41|$rs42|$rs43|$rs44|$rs45|$rs46|$rs47|$rs48|$rs49|$rs50|$rs51|$rs52|$rs53|$rs54|$rs55|$rs56|$rs57|$rs58)"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          $rs59[not(@i:nil='true')]                          and                            (                              sum($rs59) &lt; $totalSum - 1                               or                               sum($rs59) &gt; $totalSum + 1                           )                                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.RS.000012</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line1.Text" priority="1001" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            matches(upper-case(.),'^(.*)(C/-)(.*)$')                             and                             not($rs18[not(@i:nil='true') and string-length(.) != 0])                          )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428026</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                         matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or                         matches(.,'^(.*)( C/O| C/| Care Of)$','i') or                         matches(.,'^(C/O|C/|Care Of|CO)$','i')                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.000406</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]/pyde.02.00:AddressDetails.Line2.Text" priority="1000" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or                        matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or                        matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or                        matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.000408</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template><xsl:template match="text()" priority="-1" mode="M15"/><xsl:template match="@*|node()" priority="-2" mode="M15"><xsl:apply-templates select="*" mode="M15"/></xsl:template></xsl:stylesheet>